searchNodes=[{"doc":"Driver for PCA9685 based 16 channel, 12 bit PWM driver connected over I2C. Usage Add your device to your config like so: config :pca9685 , devices : [ %{ bus : &quot;i2c-1&quot; , address : 0x40 } ] The properties bus and address are mandatory. You can optionally provide pwm_freq which is the output frequency you'd like to set (in Hz) and oe_pin which is the GPIO pin that you want to use for the output-enable function. Remember that the OE pin is expecting to be driven high to +5V, so won't work on a Raspberry Pi without a level shifter of some kind. Your devices will be reset and you will be able to drive the outputs with your specified output frequency and duty cycle.","ref":"PCA9685.html","title":"PCA9685","type":"module"},{"doc":"Connect to a PCA9685 device.","ref":"PCA9685.html#connect/1","title":"PCA9685.connect/1","type":"function"},{"doc":"Disconnect a PCA9685 device.","ref":"PCA9685.html#disconnect/1","title":"PCA9685.disconnect/1","type":"function"},{"doc":"Low-level functions for interacting directly with the PCA9685 device over I2C.","ref":"PCA9685.Commands.html","title":"PCA9685.Commands","type":"module"},{"doc":"Initialize the device and set all channels to off.","ref":"PCA9685.Commands.html#initialize!/2","title":"PCA9685.Commands.initialize!/2","type":"function"},{"doc":"Set all 16 PWM outputs to a the same output value in a single operation.","ref":"PCA9685.Commands.html#set_all_pwm/3","title":"PCA9685.Commands.set_all_pwm/3","type":"function"},{"doc":"Set a specific PWM output to the provided duty cycle.","ref":"PCA9685.Commands.html#set_one_pwm/4","title":"PCA9685.Commands.set_one_pwm/4","type":"function"},{"doc":"Set's the device's PWM update frequency to the provided number of Hz. Calculates it with a hard coded prescale value.","ref":"PCA9685.Commands.html#set_pwm_frequency/2","title":"PCA9685.Commands.set_pwm_frequency/2","type":"function"},{"doc":"Start a connection to the PCA9685 device over I2C.","ref":"PCA9685.Commands.html#start_link/2","title":"PCA9685.Commands.start_link/2","type":"function"},{"doc":"","ref":"PCA9685.Commands.html#t:address/0","title":"PCA9685.Commands.address/0","type":"type"},{"doc":"","ref":"PCA9685.Commands.html#t:bus/0","title":"PCA9685.Commands.bus/0","type":"type"},{"doc":"","ref":"PCA9685.Commands.html#t:channel/0","title":"PCA9685.Commands.channel/0","type":"type"},{"doc":"","ref":"PCA9685.Commands.html#t:duty_cycle/0","title":"PCA9685.Commands.duty_cycle/0","type":"type"},{"doc":"","ref":"PCA9685.Commands.html#t:frequency/0","title":"PCA9685.Commands.frequency/0","type":"type"},{"doc":"Allows setting of PWM values and update frequency on a PCA9685 device.","ref":"PCA9685.Device.html","title":"PCA9685.Device","type":"module"},{"doc":"Sets all channels to the specified duty cycle.","ref":"PCA9685.Device.html#all/3","title":"PCA9685.Device.all/3","type":"function"},{"doc":"Sets the channel to a specified duty cycle.","ref":"PCA9685.Device.html#channel/4","title":"PCA9685.Device.channel/4","type":"function"},{"doc":"Disables PWM output for this device. Fails if there is no oa_pin specified in the device configuration.","ref":"PCA9685.Device.html#output_disable/1","title":"PCA9685.Device.output_disable/1","type":"function"},{"doc":"Enables PWM output for this device. Fails if there is no oa_pin specified in the device configuration.","ref":"PCA9685.Device.html#output_enable/1","title":"PCA9685.Device.output_enable/1","type":"function"},{"doc":"Returns the currently configured PWM frequency.","ref":"PCA9685.Device.html#pwm_freq/1","title":"PCA9685.Device.pwm_freq/1","type":"function"},{"doc":"Configures the PWM frequency.","ref":"PCA9685.Device.html#pwm_freq/2","title":"PCA9685.Device.pwm_freq/2","type":"function"},{"doc":"Handles twiddling the output-enable pin via GPIO.","ref":"PCA9685.OutputEnable.html","title":"PCA9685.OutputEnable","type":"module"},{"doc":"Set the output enable pin high.","ref":"PCA9685.OutputEnable.html#disable/1","title":"PCA9685.OutputEnable.disable/1","type":"function"},{"doc":"Set the output enable pin low.","ref":"PCA9685.OutputEnable.html#enable/1","title":"PCA9685.OutputEnable.enable/1","type":"function"},{"doc":"Connect to a specific GPIO pin as an output.","ref":"PCA9685.OutputEnable.html#start_link/1","title":"PCA9685.OutputEnable.start_link/1","type":"function"}]